- Main Page
- Modules
- Namespaces
- Classes
- Files

# baseaudiosink.h File Reference

`#include <glibmm.h>`
`#include <gst/audio/gstringbuffer.h>`
`#include <gstreamermm/basesink.h>`

Go to the source code of this file.

## Namespaces
namespace | Gst
namespace | Glib
## Classes
class | Gst::BaseAudioSink
| Gst::BaseAudioSink - Base class for audio sinks. More...
## Enumerations
enum | Gst::BaseAudioSinkSlaveMethod { Gst::BASE_AUDIO_SINK_SLAVE_RESAMPLE, Gst::BASE_AUDIO_SINK_SLAVE_SKEW, Gst::BASE_AUDIO_SINK_SLAVE_NONE }